%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		qrupdate
Version:	1.1.2
Release:	%mkrel 3
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRequires:	gcc-gfortran
BuildRequires:	blas-devel
BuildRequires:	lapack-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

# ensure .so files are executable (0755) for proper -debuginfo extraction
sed -i 's|-m644|-m755|g' src/Makefile

%build
%make lib solib

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog COPYING
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Sat Feb 03 2018 adrianomorselli <adrianomorselli> 1.1.2-3uplos2018
- rebuild with new gccfortran

* Thu Jan 25 2018 adrianomorselli <adrianomorselli> 1.1.2-2uplos2018
- rebuild against updates
